import matplotlib.pyplot as plt
import numpy as np

thetas = range(0,50,5)
ez_data = np.genfromtxt('grating_Ez_d3.5_h1.9_g0.7.dat',delimiter=',')
hz_data = np.genfromtxt('grating_Hz_d3.5_h1.9_g0.7.dat',delimiter=',')

plt.figure(dpi=150)
plt.plot(thetas,ez_data[:,1],'ro-',clip_on=False,label='transmittance (Ez)')
plt.plot(thetas,hz_data[:,1],'gs-',clip_on=False,label='transmittance (Hz)')
plt.plot(thetas,ez_data[:,0],'bo-',clip_on=False,label='reflectance (Ez)')
plt.plot(thetas,hz_data[:,0],'ms-',clip_on=False,label='reflectance (Hz)')
plt.axis([0,45,0,1])
plt.xticks([t for t in range(0,50,10)])
plt.yticks([t for t in np.arange(0,1.2,0.2)])
plt.legend(loc="center right")
plt.xlabel("angle of incidence (degrees)")
plt.ylabel("total reflectance/transmittance @ λ = 0.5 μm")
plt.show()
